Lấy lịch sử hoạt động IR của 1 mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/ir/historical-statistics/{symbol} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/ir/historical-statistics/{symbol}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/ir/historical-statistics/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/ir/historical-statistics/{symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/ir/historical-statistics/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/ir/historical-statistics/{symbol}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/ir/historical-statistics/{symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"statistics": {}
}IR
Lấy lịch sử hoạt động IR của 1 mã chứng khoán
GET
/
ir
/
historical-statistics
/
{symbol}
Lấy lịch sử hoạt động IR của 1 mã chứng khoán
curl --request GET \
--url https://api.fireant.vn/ir/historical-statistics/{symbol} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/ir/historical-statistics/{symbol}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/ir/historical-statistics/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/ir/historical-statistics/{symbol}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/ir/historical-statistics/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/ir/historical-statistics/{symbol}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/ir/historical-statistics/{symbol}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"statistics": {}
}Ủy quyền
OAuth2 Implicit Grant
Scopes
user-data-read
Đọc tất cả dữ liệu của người dùng hiện tại
Tham số đường dẫn
Mã chứng khoán
Tham số truy vấn
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Khoảng thời gian (Day: Ngày, Week: Tuần, Month: Tháng, mặc định là Day)
Phản hồi
Thành công
Represents historical statistics of an investor relations contract.